summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2022-06-01 18:10:17 +0200
committerAndreas K. Hüttel <dilfridge@gentoo.org>2022-06-01 18:10:17 +0200
commit673cf435b43ffc2b369ebc604032afa9a8b25eec (patch)
tree7fff3b9e29c51804c0bf8c18e44a221b09be54fc
parentapp-office/libreoffice-bin: Version bump (diff)
downloadgentoo-673cf435b43ffc2b369ebc604032afa9a8b25eec.tar.gz
gentoo-673cf435b43ffc2b369ebc604032afa9a8b25eec.tar.bz2
gentoo-673cf435b43ffc2b369ebc604032afa9a8b25eec.zip
app-office/libreoffice-bin-debug: Version bump
Bug: https://bugs.gentoo.org/843353 Bug: https://bugs.gentoo.org/845546 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
-rw-r--r--app-office/libreoffice-bin-debug/Manifest9
-rw-r--r--app-office/libreoffice-bin-debug/libreoffice-bin-debug-7.3.3.2-r3.ebuild85
2 files changed, 94 insertions, 0 deletions
diff --git a/app-office/libreoffice-bin-debug/Manifest b/app-office/libreoffice-bin-debug/Manifest
index 2dcb4db477a..7c225c3df12 100644
--- a/app-office/libreoffice-bin-debug/Manifest
+++ b/app-office/libreoffice-bin-debug/Manifest
@@ -1,18 +1,27 @@
DIST amd64-debug-libreoffice-7.2.6.2-r1.tar.xz 1471522536 BLAKE2B a3ba5f0f9fb6039a6f1759ce7a09fe78a7c5b9b81c9a25ed43074569c72633f0efe8f0178ad591e13f9bf9aaf4b820d73364e35ec11600903c3e43d18524f32f SHA512 3c67cf8bf10f8667719ed0f1df811a14e2b69d33e767269ecd1e380efb9fec76e2bb2ef9ef5442841eb3a22278fcf8deb852b9e6b0afa797473844f72170dc80
DIST amd64-debug-libreoffice-7.2.6.2.tar.xz 1468971352 BLAKE2B b94770acb7c96f59f047b9ee468b29a621da2a379dfad4f295ed77bc8ac4c910884df9a5eaf38da03c8f58d4f62d3767f4c6cb791f96695357107a29bf4c9a5c SHA512 fe9eb2f3dffbb8f003ff05b2c98f30dcd69cb388eb9e045501caf6145ecb623b648abb91b9cca2873d17e1065738a2e7df9ee47150ea00e9891b719b4267a416
+DIST amd64-debug-libreoffice-7.3.3.2-r3.tar.xz 1497663004 BLAKE2B 50a3083f4faf1b10887f41cdfb0f263751d3e35ad8bece5df1a30e04a18d9b9cb04593bdf514a59600eaa3912f44d6699be0ad41e8317372c0b8b8605a3a2f0e SHA512 20b727e7912026248a5de940bf3072b00ad668be5501f54a2d93afa13e9bc4bace004771e7137dfabe94a789a6591323e06938b247d8ed5124b243f0acce8d7e
DIST amd64-debug-libreoffice-gnome-7.2.6.2-r1.xd3 1382590 BLAKE2B 5f104ef0bd263b85c23dafbc5e6bd8062e797d1683d64ae8d26d60dbe4b946589ed9ab0fded67dd0fa5cbfce9781dc7764bb7c0dca12ff7fdc1bb7d03d231565 SHA512 0ca249d566cb8b1c4d9aa93c02c8e264a2f46e5f5cc3c7cf898d00c9e27fe5a99dc9454b1b614b97237d9a858cbd58ff686f0c94e8e744850b075990d1fae725
DIST amd64-debug-libreoffice-gnome-7.2.6.2.xd3 1382303 BLAKE2B 71291a92cd245c2e9ed68fb01ff1543a26a81d345d13fe1e5c57527c6fb716e7bd6ee393bd500fcee526605784b20db9aa6e891897158e6767b3aecfee5e9ed4 SHA512 6a9b4df2bb53abe79cf4d268b2f4da5e2a1c93444b37dcc2cfd4e0fd37a53db59ab69b9ecd2152f5fbd48d073dd579fd1fa21080b84c6b61b59cbe05df556c73
+DIST amd64-debug-libreoffice-gnome-7.3.3.2-r3.xd3 1426942 BLAKE2B 4065ec4424c66cecb63a2c565e7622e822d0111d7791810ba7611626c188202b6213b5d61ac51e053b7a9b149de265b28d2a97891aa90269821fac780567a190 SHA512 470acdf23a0a63f5e3e70c050df421693674196019ef2f4f7e4238c8d8aca489b33748bc8ab3682b5b63a773c30c124219e1017ff58552ead31ca9091015c289
DIST amd64-debug-libreoffice-gnome-java-7.2.6.2-r1.xd3 757133326 BLAKE2B 7528f922dcca1873d4dcbc9d70bcf20102bad875880e37680806d846179c7eb1c16b345b729397832321e5054742ef090c78e617381eb1fc2f1a4bd160498ede SHA512 d96b610bf976172136b9312102d3f5bbd17776c536d1107be809523cddd56342fd5352df4d8c5021968f8f2252f84eb13acfaae6e668b18d6624a9d89a41e028
DIST amd64-debug-libreoffice-gnome-java-7.2.6.2.xd3 755642290 BLAKE2B b1a355f4fa92996990c481133bea367a3ed019796159be4c9f3e877dc50fb1d0e460aaba369f2b065073e6f2005e15030ef0812b6bea8a3ab4e069aefd7cd351 SHA512 5524b1215dbe0839d6a17d022a2c06f4df30dfe4cc623c61e0e122a4613eca459fa8d71e78b3868a587ea8bc23bbcfd72cecb6ede1c09f397efd98683efdc7bd
+DIST amd64-debug-libreoffice-gnome-java-7.3.3.2-r3.xd3 781950066 BLAKE2B 9029d5962874b841b331449809b89ef0e7558bd5c7417953c460489697b8eb3892e66d9d66c19906a76dd94f203e9e81b41e9df4a90f62fe4453c56f7c16d1cd SHA512 87099de1886084f238fa85bbfdeec4057fb8d59e9d6284b46d9a9a3f5abbf2c5715b2b685af3d2198fb1be0b2ada0c5f350b9cc26faf98094acb363d3f38a5e9
DIST amd64-debug-libreoffice-java-7.2.6.2-r1.xd3 755727696 BLAKE2B ea3cdb76f3a58ad91646acac21fbd90f7fe1efe8bdc9cb5eee36b94d418b27bdbb25d3a3da23accb1f1c9cc5afbdd4e59ee065a16dd420ff58ce67eb9e40514b SHA512 e86356206729dbee21273b0c58a37bf4829f1a1a774c7840b93df728a3d5bf162c325a0551a9548079f913dcc4492b08ab1b3b152d8058c5f1883f216dcb6b71
DIST amd64-debug-libreoffice-java-7.2.6.2.xd3 754236655 BLAKE2B 324345c211da2b8773e81db97821324be77a9dfb712ae5c377e09d9d7fe9c0c2f9d352cc241a23ccbf091aba721c738fe56b65e7db500d7041fa1c893b0be73f SHA512 0249814b8b5d07a99bb35c154ddc31cb228c066a9af4d87730b81caac628f189ac0717d883a116f3c99d3a2cf058015036aadb47241122c34495d94a0e595ec4
+DIST amd64-debug-libreoffice-java-7.3.3.2-r3.xd3 780540993 BLAKE2B d684f08931576e798847ccd8eeda1b2c9f46fd9af89d1b5c3b1c3d6b27e086d11e86946c6c628348666a19af23f11bdea6b4159fba400bbe2341ea2b52baf02b SHA512 a5c742c60d380585759ee5710c86559fe5e0b777f6b54e1c3b5fee0c6888b9a905f4272ca584765212d082aeae787ad4868d556d604047a63a494adb8eda8174
DIST amd64-debug-libreoffice-kde-7.2.6.2-r1.xd3 460340283 BLAKE2B 9d65b86d77e1883d97d78b492a8e4a39af9e503f5972a710d6b243b7d55c06947702871c0b781b5f3444053606f508e230d09b3171d93cc9f11f3e68b270f9c6 SHA512 5c195aa7290f0e73959bc3e9b45c197a02f98d0f405e185bf06b43565b7096bbb978c366c51a816fce7a227fb5e7b547bbf8e23a5b088880d4681e4707437e9d
DIST amd64-debug-libreoffice-kde-7.2.6.2.xd3 460398978 BLAKE2B 30d95ed2b40fae34259d7922ad963fc330c2f9311320af4796e09c96b713234037c1c4d0a7e38e870d2ebd87dd6a8d0da48ba1d0e42f1c46da1f1cc63a40d8fa SHA512 c66330553a0bf09a1027d45e229065c71d6585cc3c1f6598b4ef393ae0aed14c223cfb8fe6f711c74caa0c3bfedbf02d45fb07c8560af465edcb77b08fc2bc3f
+DIST amd64-debug-libreoffice-kde-7.3.3.2-r3.xd3 475252964 BLAKE2B f201b68122d03628110f71b6b6ccbb9281e9efc023c0034b2ed620667c7f51156ca3c7f13609faca4e5e0bc8ba13612f8d7b2ca5867dfa6f1a3ff82c524c9af1 SHA512 f2f737a627226ce80c1ccb12a69d8eacc762cba52eba77c3017efdb4bf4a609956626024e4cd9a15dee3aa0090ac7a47795c3b01c0723eb6584f3c12753ded5e
DIST amd64-debug-libreoffice-kde-java-7.2.6.2-r1.xd3 760418637 BLAKE2B 0e20b98b4dbb2a5ad80192a7e13912d06e044c2d9f10a79ab3687e69c322fd1b5c91835d8756921c50555f65816325ea6f74a78142a9feaf7b7b0f1882dcf2de SHA512 814f2dc13fab757fe6fada6a27ebd4572ce24b34a750dc1d35ae1c82b3de9ba53575a98efca009c54802ea3206ced17dd84bcb10a637edaa5c4cabb0cb6e8053
DIST amd64-debug-libreoffice-kde-java-7.2.6.2.xd3 758655199 BLAKE2B 26382ff16e3155e5786ac7d7a1c0eabc815c8a45d8a129a5f07c39fa39fb678c212feb8699ebc9f120b223d0462af15c01bafb74c81f08d5213fa38e0b6d951c SHA512 7cc9292420941fecf9e9527a35b8a56238574793b64fc54b5fd8cb0754b62128c2193a9933664b46162f2aafe1afbb18a30b09f134ed39a81bbec3cf79f8f5d6
+DIST amd64-debug-libreoffice-kde-java-7.3.3.2-r3.xd3 785272796 BLAKE2B 6c4678af64da1913b52733fedce5ef544f18f78616d056eb42793e2fad17a1d5c4ec331dd4c9d1a5c0f5d65e59237d41cdcad324b6adda7bf1ff5c22ad28b3d6 SHA512 fac9fbf9a3185035a2132a9bcb8f0fb57bc2540b3f1758ad043563c74b51ad17b42d760a61b1fe07826a25d0c9e2e59be3fc607c3e9e80e16fe4e7d7e2934c82
DIST x86-debug-libreoffice-7.2.6.2-r1.tar.xz 1440156912 BLAKE2B a17dc2680e1e6c595436d01318f0aa35c017fbcc5efdf2cf6114e39fed40690b92c9be42bf0f0c5d228ec48bd64634532d88c4f3e69ffb6b816a13106b89cc5f SHA512 cec6395dcd34b7ec8d04df1f6f95ab3caa10e311e2260e5e81d3ad24dec2301c8a5e269e93adcbd742207206baa04eb0c2b8f63ef133931ca9b9cf6f567ef7f3
DIST x86-debug-libreoffice-7.2.6.2.tar.xz 1437742176 BLAKE2B 762e7eb6c7566983306920978b5e689fc7a75016c6861c4fc878c17e19a1b948e14d7ec6749dcaabd9d918d2583db1c9cf51f5d9e111530ef7550f3bcd92b8b7 SHA512 446122ffa154111062b7178acfe116e53c6335fd29963838f7e215fd91ee09c4aa51cd5bd058652a42cabe61b93672b7437067846d6020fb5be2dc93933e2fed
+DIST x86-debug-libreoffice-7.3.3.2-r3.tar.xz 1466296624 BLAKE2B 2978c81e86af058a583b97992de6a8e453f7c1825eeb7b71354dbc11b115803234dce7df88996372e8f1c317bfda9f3b0c3cda563af71b6c6cd66177cabd1978 SHA512 28c9d2a25661c066178559569e00966b277f78776762b4ff104c3ee4e6eeffe59683b1c17f4a102cedb0ab88b1311b5d70cb991376b08102c2c811ecf37cb612
DIST x86-debug-libreoffice-gnome-7.2.6.2-r1.xd3 1340759 BLAKE2B 1aadc8f982d2e920eeca545f390076b9f5541a91c2b793949903d1c68fed4fd74344e33ba9140d590e80947a4add485f42ce888c77dfebe103a5dd05a8a8b334 SHA512 16b3f12ae3d329f520bd6e1da2ef29baa783489e90db7400af443bcb2ff9a170a7a58838a58daea7c8a7d7eb78574b0affb3f6f5431c767d2a8148651a90ba2e
DIST x86-debug-libreoffice-gnome-7.2.6.2.xd3 1340712 BLAKE2B 8004167ce6f32f97720399fa67de5a6f3c2b2df6ec815fa5c3764755aeefdddf5c67c34b8d2058dfcae420481b1cccf67d9cfbb2c416ba0d18bf24416bfe2bf1 SHA512 1ba6d86ab8396992a326144b3225af4f8d41a97bb97af2892ae9393d292c751598325f73ed5010f7de61099bb1861abe105a5fcb02579c63733957fac533aad2
+DIST x86-debug-libreoffice-gnome-7.3.3.2-r3.xd3 1385520 BLAKE2B 6275a12d860f493d0838e8cac518cd0a2a840a6be99d89b7964a44f81f26312c87bded4e67d33e4e6e4223ce14b4428e399da60b25f96e24085eef618cddd43b SHA512 ef35204b09b0ea62620950dd7f17cc012a31508963c6442fae2b36d39d468223d28fd251ac82ba26416b17bb3f89c3b4ed38165942da5b271192b525f08eb37b
DIST x86-debug-libreoffice-kde-7.2.6.2-r1.xd3 438013793 BLAKE2B 9763c34ce81e8ff14bb5ad17cccfec7d835db1ebd6e5129b9940fc7a9c41639a379b4be00b331e6d066aadee51d556f2a1c60a843d001a0f5cb6a89ed3959a15 SHA512 a9149b67b2c6a5d6b19e2a7386c90378b2669285358317a720b8806cb4a670a404d51b8d789a7862c4e1637eada66fd78f0bbf7cb83fb463e7601fafe926838e
DIST x86-debug-libreoffice-kde-7.2.6.2.xd3 438069622 BLAKE2B e5602a31725801540300a78ec359d67c6df1c29c4663c61e5e72c7bc4bc119eda6cb005e4aae763c3c43df7fa6491419dfc8d7f7dfd3ccd61de2e53cf69c7fb2 SHA512 dd0cb3c92a415dae00f476c31d3185cb65acbc03edc1c303c8dd21ca282c783293aedfdc21412b6a5a73d92da99b6c32b478c269852152977e099297cbb7713a
+DIST x86-debug-libreoffice-kde-7.3.3.2-r3.xd3 452781808 BLAKE2B 7f4ec8aa2723949aa56170803e451639a3e6608449e465c817166ff8ffc9552a111186bccdd835449090786a7add2898445559368fb5a8c71b600f30a31ed968 SHA512 853a9cfd782077a86d9e34f1df9ae1718e36f628877a6aa7b311e82e56beca86322959d95beceaa2a4b760fc28bb1191fd4d9d8a4063acc648165e786f58033c
diff --git a/app-office/libreoffice-bin-debug/libreoffice-bin-debug-7.3.3.2-r3.ebuild b/app-office/libreoffice-bin-debug/libreoffice-bin-debug-7.3.3.2-r3.ebuild
new file mode 100644
index 00000000000..9f2211232ee
--- /dev/null
+++ b/app-office/libreoffice-bin-debug/libreoffice-bin-debug-7.3.3.2-r3.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+BASE_PACKAGENAME="debug"
+BASE_AMD64_URI="https://tamiko.43-1.org/distfiles/amd64-${BASE_PACKAGENAME}-"
+BASE_X86_URI="https://tamiko.43-1.org/distfiles/x86-${BASE_PACKAGENAME}-"
+
+DESCRIPTION="LibreOffice, a full office productivity suite. Binary package, debug info"
+HOMEPAGE="https://www.libreoffice.org"
+SRC_URI_AMD64="
+ ${BASE_AMD64_URI}libreoffice-${PVR}.tar.xz
+ kde? (
+ !java? ( ${BASE_AMD64_URI}libreoffice-kde-${PVR}.xd3 )
+ java? ( ${BASE_AMD64_URI}libreoffice-kde-java-${PVR}.xd3 )
+ )
+ gnome? (
+ !java? ( ${BASE_AMD64_URI}libreoffice-gnome-${PVR}.xd3 )
+ java? ( ${BASE_AMD64_URI}libreoffice-gnome-java-${PVR}.xd3 )
+ )
+ !kde? ( !gnome? (
+ java? ( ${BASE_AMD64_URI}libreoffice-java-${PVR}.xd3 )
+ ) )
+"
+SRC_URI_X86="
+ ${BASE_X86_URI}libreoffice-${PVR}.tar.xz
+ kde? (
+ ${BASE_X86_URI}libreoffice-kde-${PVR}.xd3
+ )
+ gnome? (
+ ${BASE_X86_URI}libreoffice-gnome-${PVR}.xd3
+ )
+"
+
+SRC_URI="
+ amd64? ( ${SRC_URI_AMD64} )
+ x86? ( ${SRC_URI_X86} )
+"
+
+IUSE="gnome java kde"
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+
+# the = is correct, the debug info needs to fit the exact binary
+RDEPEND="=app-office/${PN/-debug}-${PVR}[gnome=,java=,kde=]"
+
+DEPEND="dev-util/xdelta:3"
+
+RESTRICT="test strip"
+
+S="${WORKDIR}"
+
+QA_PREBUILT="/usr/*"
+
+src_unpack() {
+ einfo "Uncompressing distfile ${ARCH}-${BASE_PACKAGENAME}-libreoffice-${PVR}.tar.xz"
+ xz -cd "${DISTDIR}/${ARCH}-${BASE_PACKAGENAME}-libreoffice-${PVR}.tar.xz" > "${WORKDIR}/${ARCH}-${BASE_PACKAGENAME}-libreoffice-${PVR}.tar" || die
+
+ use x86 && use java && die "There is no build for x86 with Java support."
+
+ local patchname
+ use kde && patchname="-kde"
+ use gnome && patchname="-gnome"
+ use java && patchname="${patchname}-java"
+
+ if [[ -n "${patchname}" ]]; then
+ einfo "Patching distfile ${ARCH}-${BASE_PACKAGENAME}-libreoffice-${PVR}.tar using ${ARCH}-${BASE_PACKAGENAME}-libreoffice${patchname}-${PVR}.xd3"
+ xdelta3 -d -s "${WORKDIR}/${ARCH}-${BASE_PACKAGENAME}-libreoffice-${PVR}.tar" "${DISTDIR}/${ARCH}-${BASE_PACKAGENAME}-libreoffice${patchname}-${PVR}.xd3" "${WORKDIR}/tmpdist.tar" || die
+ mv "${WORKDIR}/tmpdist.tar" "${WORKDIR}/${ARCH}-${BASE_PACKAGENAME}-libreoffice-${PVR}.tar" || die
+ fi
+
+ einfo "Unpacking new ${ARCH}-${BASE_PACKAGENAME}-libreoffice-${PVR}.tar"
+ unpack "./${ARCH}-${BASE_PACKAGENAME}-libreoffice-${PVR}.tar"
+}
+
+src_configure() { :; }
+
+src_compile() { :; }
+
+src_install() {
+ dodir /usr
+ cp -aR "${S}"/usr/* "${ED}"/usr/ || die
+}